Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getCertificateInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getCertificatesInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getCoursesCertificatesInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getCoursesInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getDepartmentsInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getDocumentInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getFacultiesInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getLevelInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "searchAcademics"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getAccoFolderInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getAccoHallInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_default/isStudent.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/isStudent.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_default/isStudent.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "isStudent"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_pins/getBatchInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_pins/getBatchInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_pins/getBatchInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getBatchInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_edit.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_edit.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_edit.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "application_edit"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "clearance_edit"
 ##bind container=container
 ##bind context=context
@@ -61,3 +61,3 @@
 else:
   url = clear.absolute_url() + action
-REQUEST.RESPONSE.redirect(url) 
+REQUEST.RESPONSE.redirect(url)
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_manager.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_manager.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_manager.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "clearance_edit"
 ##bind container=container
 ##bind context=context
@@ -61,4 +61,4 @@
 else:
   url = clear.absolute_url() + action
-REQUEST.RESPONSE.redirect(url)  
+REQUEST.RESPONSE.redirect(url)
 
Index: /WAeUP_SRP/trunk/skins/waeup_student/defer_admission.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/defer_admission.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_student/defer_admission.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "defer_admission"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_student/getMaintenancePrefix.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getMaintenancePrefix.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getMaintenancePrefix.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getMaintenancePrefix"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getStudentInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "getStudyCourseInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 845)
@@ -1,3 +1,3 @@
-# Script (Python) "cpsdocument_edit"
+# Script (Python) "getStudyLevelInfo"
 ##bind container=container
 ##bind context=context
Index: /WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 844)
+++ /WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 845)
@@ -1,3 +1,3 @@
-## Script (Python) "cpsdocument_edit"
+## Script (Python) "searchStudents"
 ##bind container=container
 ##bind context=context
Index: eUP_SRP/trunk/skins/waeup_student/student_edit_not_used.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_edit_not_used.py	(revision 844)
+++ 	(revision )
@@ -1,114 +1,0 @@
-## Script (Python) "cpsdocument_edit"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=REQUEST, cluster=None, cpsdocument_edit_and_view_button=None, action=None
-##title=
-# $Id$
-"""
-"""
-wftool = context.portal_workflow
-from urllib import urlencode
-from Products.CPSDocument.utils import getFormUidUrlArg
-import DateTime
-current = DateTime.DateTime()
-
-# Until ajax posts directly to its own script...
-if 'ajax_edit' in REQUEST.form:
-    return context.cpsdocument_edit_ajax(REQUEST, cluster=cluster)
-
-# Check flexible controls
-#context.editLayouts(REQUEST=REQUEST)
-
-# Validate the document and write it if it's valid
-# (We don't call getEditableContent here, validate does it when needed.)
-info = context.getStudentInfo()
-
-student = info['student']
-app = info['app']
-app_doc = info['app_doc']
-clear = info['clear']
-clear_doc = info['clear_doc']
-state = context.getStudentInfo()['review_state']
-
-if context.portal_type == "Student":
-    if app_doc.passport is None:
-        is_valid, ds = app_doc.validate(request=REQUEST,
-                                    proxy=app_doc,
-                                    layout_id = "student_application_fe",
-                                    layout_mode = 'edit',
-                                    use_session=True)
-        action = "/application_edit"
-        if is_valid:
-            if app_doc.passport is not None:
-                psm = 'You successfully uploaded your passport image.'
-                args = {'apply_button': 'Apply',}
-            else:
-                psm = "You didn't upload a passport image."
-                args = {}
-        else:
-            psm = 'psm_content_error'
-            args = getFormUidUrlArg(REQUEST)
-    elif 'apply_admission' not in REQUEST.form:
-        is_valid, ds = app_doc.validate(request=REQUEST,
-                                    proxy=app_doc,
-                                    layout_id = "student_application_fe",
-                                    layout_mode = 'edit',
-                                    use_session=True)
-        action = "/application_edit"
-        if is_valid:
-            args = {}
-            if 'apply_admission' not in REQUEST.form:
-                args = {'apply_button': 'Apply',}
-                psm = 'You successfully uploaded your passport image.'
-            else:
-                psm = 'You applied for admission.'
-        else:
-            args = getFormUidUrlArg(REQUEST)
-            psm = 'psm_content_error'
-    else:
-        psm = ''
-        args = {}
-        if info['review_state'] == "student_created":
-            student.content_status_modify(workflow_action="apply_for_admission")
-            wftool.doActionFor(app,'close',dest_container= app)
-            psm = 'You applied for admission.'
-            action = "/application_view"
-        elif info['review_state'] == "admitted":
-            student.content_status_modify(workflow_action="enter_clearance_pin")
-            #wftool.doActionFor(info['clear'],'open',dest_container=info['clear'])
-            app_doc = info['app_doc']
-            dc = {}
-            dc['email'] = app_doc.app_email
-            info['clear_doc'].edit(mapping = dc)
-            wftool.doActionFor(app,'close',dest_container= app)
-            psm = 'You successfully started the clearance process.'
-            action = "/clearance_edit"
-        else:
-            action = "/clearance_view"
-
-else:
-    is_valid, ds = app_doc.validate(request=REQUEST, proxy=context, cluster=cluster,
-                                use_session=True)
-
-    if action is None:
-        ti = app.getTypeInfo()
-        action = ti.queryMethodID('edit', 'cpsdocument_edit_form')
-        action = '/' + action
-
-    if is_valid:
-        comments = REQUEST.get('comments')
-        context.cpsdocument_notify_modification(comments=comments)
-        if cpsdocument_edit_and_view_button is not None:
-            action = ''
-        psm = 'psm_content_changed'
-        args = {}
-    else:
-        psm = 'psm_content_error'
-        args = getFormUidUrlArg(REQUEST)
-
-args['portal_status_message'] = psm
-url = context.absolute_url() + action + '?' + urlencode(args)
-REQUEST.RESPONSE.redirect(url)