Index: WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_buttons.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_buttons.pt	(revision 847)
+++ WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_buttons.pt	(revision 847)
@@ -0,0 +1,17 @@
+<metal:block define-macro="buttons">
+  <input type="submit" name="cpsdocument_edit_button"
+         class="standalone" value="button_change"
+         id="cpsdocument_edit_button"
+         i18n:attributes="value"
+         tal:condition="not:creation" />
+  <input type="submit" name="cpsdocument_edit_and_view_button"
+         class="standalone" value="button_change_and_view"
+         id="cpsdocument_edit_and_view_button"
+         i18n:attributes="value"
+         tal:condition="not:creation" />
+  <input type="submit" name="cpsdocument_create_button"
+         class="standalone" value="button_create"
+         i18n:attributes="value"
+         id="cpsdocument_create_button"
+         tal:condition="creation" />
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt	(revision 844)
+++ WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt	(revision 847)
@@ -14,56 +14,4 @@
 <metal:block define-macro="edit_form">
 <metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="style_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-
-    <metal:block define-macro="widgets_javascript">
-    <!-- XXX this has to move to CPSSchemas -->
-    <style type="text/css"
-      tal:content="string:@import url(${base_url}calendar-win2k-1.css);"></style>
-    <script type="text/javascript" src="calendar.js"
-      tal:attributes="src string:${base_url}calendar.js"></script>
-    <script type="text/javascript" src="lang/calendar-en.js"
-      tal:define="local cpsmcat/getSelectedLanguage"
-      tal:attributes="src string:${base_url}lang/calendar-${local}.js"></script>
-    <script type="text/javascript" src="calendar-setup.js"
-      tal:attributes="src string:${base_url}calendar-setup.js"></script>
-    <script type="text/javascript" src="prototype.js"
-      tal:attributes="src string:${base_url}prototype.js"></script>
-    <script type="text/javascript" src="effects.js"
-      tal:attributes="src string:${base_url}effects.js"></script>
-    <script type="text/javascript" src="controls.js"
-      tal:attributes="src string:${base_url}controls.js"></script>
-    <script type="text/javascript" src="cpsdocument.js"
-      tal:attributes="src string:${base_url}cpsdocument.js"></script>
-    <tal:block condition="python:modules['Products.CPSUtil.integration'].isProductPresent('Products.FCKeditor')">
-      <script type="text/javascript">
-        var popup_editor_form = 'popup_fckeditor_form';
-        var width = 640;
-        var height = 520;
-      </script>
-    </tal:block>
-    <tal:block condition="python:modules['Products.CPSUtil.integration'].isProductPresent('Products.Epoz')">
-      <script type="text/javascript">
-        var popup_editor_form = 'popup_rte_form';
-        var width = 640;
-        var height = 480;
-      </script>
-    </tal:block>
-    <script type="text/javascript">
-     function popup_rte(input_id, label_edit) {
-       var args, value;
-       value = document.getElementById(input_id).value;
-       args = '?input_id='+input_id+'&amp;label_edit='+escape(label_edit);
-       str_window_features = 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,dependent=1,width=' + width + ',height=' + height;
-       popup = window.open(popup_editor_form + args, input_id, str_window_features);
-       if (!popup.opener) {
-         popup.opener = window;
-       }
-       return false;
-     }
-   </script>
-   </metal:block>
-  </metal:block>
 
   
@@ -144,7 +92,4 @@
       </div>
     </form>
-    <div id="ajax_psm" style="display:none">
-      ajax feedback
-    </div>
   </metal:block>
 