Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 850)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 851)
@@ -873,7 +873,4 @@
    <cell name="def_adm"/>
   </row>
-  <row>
-   <cell name="acknow"/>
-  </row>
  </table>
 </object>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_edit.py	(revision 850)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_edit.py	(revision 851)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=REQUEST,proceed=None, cpsdocument_edit_button=None, action=None
+##parameters=REQUEST, cpsdocument_edit_button=None, cpsdocument_edit_and_view_button=None, action=None
 ##title=
 # $Id$
@@ -42,21 +42,18 @@
 base_url = app.absolute_url()
 
-if app_doc.passport is not None:
-    args['proceed'] = 'Continue'
-
-if cpsdocument_edit_button:
-    if is_valid:
+if is_valid:
+    if cpsdocument_edit_button:
         if app_doc.passport is not None:
             args['portal_status_message'] = 'You successfully uploaded your passport picture.'
         else:
             args['portal_status_message'] = "You didn't upload a passport picture."
-elif proceed:
-    if is_valid:
-        action = "/start_clearance"
-        base_url = student.absolute_url()
-        url = base_url + action
-        return REQUEST.RESPONSE.redirect(url)
-    else:
-        args['portal_status_message'] = 'psm_content_error'
+    elif cpsdocument_edit_and_view_button:
+        if app_doc.passport is not None:
+            action = "/start_clearance"
+            base_url = student.absolute_url()
+            url = base_url + action
+            return REQUEST.RESPONSE.redirect(url)
+        else:
+            args['portal_status_message'] = "You didn't upload a passport picture."
 if args:
   url = base_url + action + '?' + urlencode(args)
Index: WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt	(revision 850)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt	(revision 851)
@@ -7,5 +7,4 @@
                       use_session=True,);
            form_action string:application_edit;
-            proceed request/proceed|nothing;
            edition python:True;
            creation python:False;
@@ -33,13 +32,14 @@
         <span tal:omit-tag="" tal:replace="structure rendered_main"/>
       </span>
-      <input type="submit" class="standalone" name="cpsdocument_edit_button"
-             value="Save" 
+      <input type="submit" class="standalone" 
+             name="cpsdocument_edit_button"
+             value="Save and Return later" 
              id="cpsdocument_edit_button"
              tal:condition="not:creation" />
-      <input type="submit" class="standalone" name="proceed"
-             value="proceed"
-             id="cpsdocument_edit_and_view_button"
-             tal:condition="proceed" 
-             tal:attributes="value proceed"/>
+      <input type="submit" class="standalone" 
+             name="cpsdocument_edit_and_view_button"
+             value="Save and Apply"
+             id="cpsdocument_edit_and_view_button" 
+             tal:condition="not:creation" />
     </form>
     </metal:main>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 850)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 851)
@@ -5,5 +5,5 @@
 ##bind script=script
 ##bind subpath=traverse_subpath
-##parameters=REQUEST,proceed=None, cpsdocument_edit_button=None, final_submit=None, action=None
+##parameters=REQUEST, cpsdocument_edit_button=None, cpsdocument_edit_and_view_button=None, acknowledge=None
 ##title=
 # $Id$
@@ -34,8 +34,4 @@
 clear_doc = info['clear_doc']
 state = context.getStudentInfo()['review_state']
-if final_submit:
-    wftool.doActionFor(info['clear'],'close')
-    wftool.doActionFor(info['student'],'request_clearance')
-    return REQUEST.RESPONSE.redirect("%s/student_index" % info['url'])
 
 is_valid, ds = clear_doc.validate(request=REQUEST,
@@ -48,13 +44,19 @@
 args = {}
 action = "/clearance_edit_form"
-if cpsdocument_edit_button:
-    if is_valid:
+if is_valid:
+    if cpsdocument_edit_button:
         psm = 'Content changed.'
         if ds.get('acknow'):
             args['final_submit'] = "Finally Submit"
-    else:
-        args = getFormUidUrlArg(REQUEST)
-        psm = "Please correct your errors."
-	args['portal_status_message'] = psm
+    elif cpsdocument_edit_and_view_button:
+        if acknowledge:
+            wftool.doActionFor(info['clear'],'close')
+            wftool.doActionFor(info['student'],'request_clearance')
+            return REQUEST.RESPONSE.redirect("%s/student_index" % info['url'])
+        psm = "You didn't check the Acknowledgementbox"
+else:
+    psm = "Please correct your errors."
+args = getFormUidUrlArg(REQUEST)
+args['portal_status_message'] = psm
 if args:
   url = clear.absolute_url() + action + '?' + urlencode(args)
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 850)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 851)
@@ -39,20 +39,59 @@
         </div>
       </div>
-   <input type="submit" class="standalone" name="cpsdocument_edit_button"
-         value="Save & Return later" 
-         id="cpsdocument_edit_button"
-         tal:condition="not:creation" />
-   <input type="submit" class="standalone"
-          tal:condition="request/final_submit|nothing"
-          name="final_submit"
-          tal:attributes="value request/final_submit"
-          />
-    </form>
-    <div id="ajax_psm" style="display:none">
-      ajax feedback
-    </div>
+        <table class="layoutDefault" summary="Form layout">
+          <tr class="even ajaxtd">
+            <th colspan="5" align="left">I hereby acknowledge by ticking this check box 
+            that if it is discovered at any time that i do not possess any of the 
+            qualifications which i claim to have obtained, i will be expelled from the 
+            University and shall not be re-admitted for the same or any other programme, 
+            even if i have upgraded my previous qualifications or possess additional 
+            qualifications.
+            </th>
+          </tr>
+          <tr>
+            <div class="" id="acknowledge">
+              <td valign="top" width="80">
+                <div class="label">
+                  <label>Acknowledgement</label>:
+                </div>
+                <button type="button" class="tooltipControl"
+                        onclick="toggleElementVisibility('acknow_help')"> ? </button>
+              </td>
+              <td valign="top">
+                <span class="field">
+                  <input type="checkbox" value="True"
+                         name="acknowledge" />
+                </span>
+                <div class="tooltipArea"
+                     style="visibility: hidden;"
+                     id="acknow_help"
+                     onclick="showElement(false, 'acknow_help')">
+                  I hereby acknowledge by ticking this check box that if it is 
+                  discovered at any time that i do not possess any of the qualifications 
+                  which i claim to have obtained, i will be expelled from the University 
+                  and shall not be re-admitted for the same or any other programme, even 
+                  if i have upgraded my previous qualifications or possess additional 
+                  qualifications.
+                </div>
+              </td>
+            </div>
+          </tr>
+        </table>
+        <input type="submit" class="standalone" 
+               name="cpsdocument_edit_button"
+               value="Save & Return later" 
+               id="cpsdocument_edit_button"
+               tal:condition="not:creation" />
+        <input type="submit" class="standalone"
+               name="cpsdocument_edit_and_view_button"
+               value="Save & Submit" 
+               id="cpsdocument_edit_and_view_button"
+               tal:condition="not:creation" />
+      </form>
+      <div id="ajax_psm" style="display:none">
+        ajax feedback
+      </div>
+    </metal:block>
   </metal:block>
-
-</metal:block>
 </metal:block>
 </tal:block>