Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 851)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 852)
@@ -41,20 +41,4 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="acknow" meta_type="Boolean Widget">
-  <property name="title">Acknowledgement</property>
-  <property name="fields">
-   <element value="acknow"/>
-  </property>
-  <property name="label">Acknowledgement</property>
-  <property name="label_edit">Acknowledgement</property>
-  <property
-     name="description">I hereby acknowledge by ticking this check box that if it is discovered at any time that i do not possess any of the qualifications which i claim to have obtained, i will be expelled from the University and shall not be re-admitted for the same or any other programme, even if i have upgraded my previous qualifications or possess additional qualifications.</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">checkbox</property>
- </widget>
  <widget name="age_dec" meta_type="Image Widget">
   <property name="title">Age Declaration</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 851)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 852)
@@ -41,20 +41,4 @@
   <property name="allow_resize">True</property>
  </widget>
- <widget name="acknow" meta_type="Boolean Widget">
-  <property name="title">Acknowledgement</property>
-  <property name="fields">
-   <element value="acknow"/>
-  </property>
-  <property name="label">Acknowledgement</property>
-  <property name="label_edit">Acknowledgement</property>
-  <property
-     name="description">I hereby acknowledge by ticking this check box that if it is discovered at any time that i do not possess any of the qualifications which i claim to have obtained, i will be expelled from the University and shall not be re-admitted for the same or any other programme, even if i have upgraded my previous qualifications or possess additional qualifications.</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="render_format">checkbox</property>
- </widget>
  <widget name="age_dec" meta_type="Image Widget">
   <property name="title">Age Declaration</property>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 851)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 852)
@@ -67,5 +67,4 @@
 
  <field name="def_adm" meta_type="CPS Boolean Field"/>
- <field name="acknow" meta_type="CPS Boolean Field"/>
 
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 851)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 852)
@@ -47,12 +47,10 @@
     if cpsdocument_edit_button:
         psm = 'Content changed.'
-        if ds.get('acknow'):
-            args['final_submit'] = "Finally Submit"
     elif cpsdocument_edit_and_view_button:
         if acknowledge:
             wftool.doActionFor(info['clear'],'close')
             wftool.doActionFor(info['student'],'request_clearance')
-            return REQUEST.RESPONSE.redirect("%s/student_index" % info['url'])
-        psm = "You didn't check the Acknowledgementbox"
+            return REQUEST.RESPONSE.redirect("%s/clearance_view" % info['url'])
+        psm = "You must tick the Acknowledgement Check Box before submission!"
 else:
     psm = "Please correct your errors."
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 851)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 852)
@@ -39,53 +39,31 @@
         </div>
       </div>
-        <table class="layoutDefault" summary="Form layout">
-          <tr class="even ajaxtd">
-            <th colspan="5" align="left">I hereby acknowledge by ticking this check box 
-            that if it is discovered at any time that i do not possess any of the 
-            qualifications which i claim to have obtained, i will be expelled from the 
-            University and shall not be re-admitted for the same or any other programme, 
-            even if i have upgraded my previous qualifications or possess additional 
-            qualifications.
-            </th>
-          </tr>
-          <tr>
-            <div class="" id="acknowledge">
-              <td valign="top" width="80">
-                <div class="label">
-                  <label>Acknowledgement</label>:
-                </div>
-                <button type="button" class="tooltipControl"
-                        onclick="toggleElementVisibility('acknow_help')"> ? </button>
-              </td>
-              <td valign="top">
-                <span class="field">
-                  <input type="checkbox" value="True"
-                         name="acknowledge" />
-                </span>
-                <div class="tooltipArea"
-                     style="visibility: hidden;"
-                     id="acknow_help"
-                     onclick="showElement(false, 'acknow_help')">
-                  I hereby acknowledge by ticking this check box that if it is 
-                  discovered at any time that i do not possess any of the qualifications 
-                  which i claim to have obtained, i will be expelled from the University 
-                  and shall not be re-admitted for the same or any other programme, even 
-                  if i have upgraded my previous qualifications or possess additional 
-                  qualifications.
-                </div>
-              </td>
-            </div>
-          </tr>
-        </table>
-        <input type="submit" class="standalone" 
-               name="cpsdocument_edit_button"
-               value="Save & Return later" 
-               id="cpsdocument_edit_button"
-               tal:condition="not:creation" />
-        <input type="submit" class="standalone"
-               name="cpsdocument_edit_and_view_button"
-               value="Save & Submit" 
-               id="cpsdocument_edit_and_view_button"
-               tal:condition="not:creation" />
+
+      <div>
+
+          <input type="checkbox" value="True" name="acknowledge" />     &nbsp;&nbsp;  
+
+          I hereby acknowledge by ticking this check box 
+          that, if it is discovered at any time that I do not possess any of the 
+          qualifications which I claim to have obtained, I will be expelled from the 
+          University and shall not be re-admitted for the same or any other programme, 
+          even if I have upgraded my previous qualifications or possess additional 
+          qualifications.    
+                        
+
+      </div>
+
+      <br />
+      
+      <input type="submit" class="standalone" 
+             name="cpsdocument_edit_button"
+             value="Save & Return later" 
+             id="cpsdocument_edit_button"
+             tal:condition="not:creation" />
+      <input type="submit" class="standalone"
+             name="cpsdocument_edit_and_view_button"
+             value="Save & Submit" 
+             id="cpsdocument_edit_and_view_button"
+             tal:condition="not:creation" />
       </form>
       <div id="ajax_psm" style="display:none">