Index: /WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml	(revision 853)
@@ -11,5 +11,5 @@
    <element value="beds_for_final"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Beds for Final Students</property>
   <property name="label_edit">Beds for Final Students</property>
@@ -25,5 +25,5 @@
    <element value="beds_for_fresh"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Beds for Fresh Students</property>
   <property name="label_edit">Beds for Fresh Students</property>
@@ -39,5 +39,5 @@
    <element value="beds_per_room"/>
   </property>
-    <property name="is_required">True</property>
+    <property name="is_required">False</property>
     <property name="label">Beds per Room</property>
     <property name="label_edit">Beds per Room</property>
@@ -51,5 +51,5 @@
   <element value="Title"/>
  </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Hall Name</property>
   <property name="label_edit">Hall Name</property>
@@ -61,5 +61,5 @@
       <element value="nr_of_blocks"/>
     </property>
-    <property name="is_required">True</property>
+    <property name="is_required">False</property>
     <property name="label">No of Blocks</property>
     <property name="label_edit">No of Blocks</property>
@@ -72,5 +72,5 @@
    <element value="nr_of_floors"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">No of Floors </property>
   <property name="label_edit">No of Floors</property>
@@ -96,5 +96,5 @@
    <element value="rooms_per_floor"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Rooms per Floor</property>
   <property name="label_edit">Rooms per Floor</property>
@@ -129,5 +129,5 @@
   <element value="maintenance_code"/>
  </property>
- <property name="is_required">True</property>
+ <property name="is_required">False</property>
  <property name="label">Maintenance Fee Prefix</property>
  <property name="label_edit">Maintenance Fee Prefix</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 853)
@@ -22,5 +22,5 @@
    <element value="Title"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Title</property>
   <property name="label_edit">Title</property>
@@ -104,5 +104,5 @@
    <element value="max_load"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Maximum Load</property>
   <property name="label_edit">Maximum Load</property>
@@ -116,5 +116,5 @@
    <element value="max_pass"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Maximum Pass</property>
   <property name="label_edit">Maximum Pass</property>
@@ -257,5 +257,5 @@
   <row>
    <cell name="school_fee_code"/>
-  </row>  
+  </row>
  </table>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/course.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/course.xml	(revision 853)
@@ -67,5 +67,5 @@
    <element value="passmark"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Passmark</property>
   <property name="label_edit">Passmark</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/department.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 853)
@@ -22,5 +22,5 @@
    <element value="title"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Title</property>
   <property name="label_edit">Title</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 853)
@@ -22,5 +22,5 @@
    <element value="title"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Title</property>
   <property name="label_edit">Title</property>
@@ -44,4 +44,5 @@
    <element value="code"/>
   </property>
+  <property name="is_required">True</property>
   <property name="label">Faculty ID</property>
   <property name="label_edit">Faculty ID</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml	(revision 853)
@@ -38,4 +38,5 @@
   <element value="prefix"/>
  </property>
+ <property name="is_required">True</property>
  <property name="label">Prefix</property>
  <property name="label_edit">Prefix</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 853)
@@ -57,5 +57,5 @@
    <element value="acco_res_sc_pin"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Hostel Application PIN</property>
   <property name="label_edit">Hostel Application PIN</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 853)
@@ -24,5 +24,5 @@
   <element value="app_ac_pin"/>
  </property>
- <property name="is_required">True</property>
+ <property name="is_required">False</property>
  <property name="label">Application PIN</property>
  <property name="label_edit">Application PIN</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 853)
@@ -28,5 +28,5 @@
    <element value="app_ac_pin"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Access Code</property>
   <property name="label_edit">Access Code</property>
@@ -223,5 +223,5 @@
    <element value="passport"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Passport Picture</property>
   <property name="label_edit">Passport Picture</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_course_result.xml	(revision 853)
@@ -44,5 +44,5 @@
    <element value="passmark"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Passmark</property>
   <property name="label_edit">Passmark</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 853)
@@ -13,5 +13,5 @@
    <element value="firstname"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Firstname</property>
   <property name="label_edit">Firstname</property>
@@ -521,5 +521,5 @@
   <row>
    <cell name="email"/>
-  </row>  
+  </row>
   <row>
    <cell name="next_kin_firstname"/>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_personal_fe.xml	(revision 853)
@@ -13,5 +13,5 @@
    <element value="firstname"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Firstname</property>
   <property name="label_edit">Firstname</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_search.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_search.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_search.xml	(revision 853)
@@ -24,5 +24,5 @@
    <element value="search_mode"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">and</property>
   <property name="label_edit">and</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 853)
@@ -8,9 +8,9 @@
  <property name="validate_values_expr"></property>
  <widget name="title" meta_type="String Widget">
-  <property name="title">Certificate Code</property>
+  <property name="title">Certificate</property>
   <property name="fields">
    <element value="title"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Certificate</property>
   <property name="label_edit">Certificate</property>
@@ -59,5 +59,5 @@
    <element value="max_load"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Maximum Load</property>
   <property name="label_edit">Maximum Load</property>
@@ -71,5 +71,5 @@
    <element value="max_pass"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Maximum Pass</property>
   <property name="label_edit">Maximum Pass</property>
@@ -151,5 +151,5 @@
    <element value="department"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Department Code</property>
   <property name="label_edit">Department Code</property>
@@ -163,5 +163,5 @@
    <element value="faculty"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Faculty Code</property>
   <property name="label_edit">Faculty Code</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/university.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/university.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/university.xml	(revision 853)
@@ -22,5 +22,5 @@
    <element value="Title"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Title</property>
   <property name="label_edit">Title</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 852)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 853)
@@ -11,5 +11,5 @@
    <element value="Title"/>
   </property>
-  <property name="is_required">True</property>
+  <property name="is_required">False</property>
   <property name="label">Title</property>
   <property name="label_edit">Title</property>