Index: WAeUP_Doc/InstructionsPart4.rst
===================================================================
--- WAeUP_Doc/InstructionsPart4.rst	(revision 804)
+++ WAeUP_Doc/InstructionsPart4.rst	(revision 854)
@@ -23,5 +23,5 @@
 8. Click 'Add Scratch Card Batch' and select 'Hostel Application' from the prefix pull-down menu, then click create. A csv file with prefix HOS will be automatically generated and copied to the WebDAV srp-import folder at https://dav.waeup.org. Please look at the time of creation which is part of the file name. Probably several testers also created test batches already.
 
-9. Go to the PIN Batches again and click the respective 'Pin Batch HOS BatchNo #' link of the batch which you just added. Then you can see a list of unused PINs and a list of used PIN's together with the Id or JAMB registration numbers of the students who used the PINs. The links will bring directly to the students' records. The list of unused PINs is only available during the testing period. 
+9. Go to the PIN Batches again and click the respective 'Pin Batch HOS BatchNo #' link of the batch which you just added. Then you can see a list of unused PINs and a list of used PIN's together with the Id or JAMB registration numbers of the students who used the PINs. The links will bring you directly to the students' records. The list of unused PINs is only available during the testing period. 
 
 10. Print this list or write down some PINs. Print also the already existing APP PIN list which you need in step 12 to apply for PUME.
@@ -31,18 +31,19 @@
 12. Apply for PUME following steps 10-15 of the Instructions Part 3. 
 
-
  **New features:**  (a) Your passport picture will be automatically resized on the server by Python imaging software. At the moment, passport resizing does not work from the Uniben server because the necessary software is not yet installed. (b) The registration status box provides links to the respective registration stages. (c) The 'My Study' tab in the navigation bar shows a list of registration objects. Please look at this list before you apply. You'll see an [edit] link which brings you back to the passport upload form. 
 
-13. Click 'Book Hostel' in the student's action box on the left-hand side, enter a Hostal Application PIN from the list printed before and click 'Book'.
+13. Click 'My Accommodation' tab in the student's navigation bar, enter a Hostal Application PIN (HOS PIN) from the list printed before and click 'Book'.
 
 14. Your bed has been booked and your 'Accommodation Record' is shown. 
 
-15. Click on 'Accommodation Slip'. The combined 'Hostel Allocation Slip (and Maintenance Receipt)' will show up in an external window. It shows the basic student data (including passport picture) and the hostel application data. The maintenance form (to enter the Hostel Maintenance PIN) is not yet implement and will come soon. 
+15. Click on 'Accommodation Slip'. The combined 'Hostel Allocation Slip (and Maintenance Receipt)' will show up in an external window. It shows the application data together with your passport picture and the hostel application data record. The Maintenance Fee entries are still empty.
 
-16. Click on 'My Study' in the navigation bar. Two objects show up: 'Application Data' and 'Accommodation Data for Session 2006'. Both links will bring you to the respective data records and slips. The 'Application Slip' link does only appear if you have already applied for admission.
+16. Click the 'Pay Maintenance Fee' button (will be added soon) or the 'My Accommodation' tab again. The Maintenance Fee PIN opens. The Maintenance Fee (and respective PIN prefix) depends on the bed/hall booked. The instructions on this page show the code (prefix) and price of the respective Maintenance Fee scratch card. Enter the PIn and press the 'Save' button. Your Accommodation object will be closed.
 
-17. Log out, close all windows and log in as manager again. Click 'Staff Login' and enter your manager user name and password. 
+17. Click on 'Accommodation Slip' again. The slip now gives also evidence that you have paid the Maintenance Fee. 
 
-18. Click on 'Hostels' and then on the name of the hostel where you just booked the room. Your student should be listed at the end of the table. 
+18. Log out, close all windows and log in as manager again. Click 'Staff Login' and enter your manager user name and password. 
 
-19. Finished
+19. Click on 'Hostels' and then on the name of the hostel where you just booked the room. Your student should be listed at the end of the table. 
+
+20. Finished