Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 858)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 862)
@@ -16,6 +16,6 @@
  <state state_id="admitted" title="">
   <exit-transition transition_id="create_content"/>
-  <exit-transition transition_id="defer"/>
   <exit-transition transition_id="enter_clearance_pin"/>
+  <exit-transition transition_id="raise_objection"/>
   <permission-map name="View" acquired="True">
    <permission-role>Owner</permission-role>
@@ -44,4 +44,5 @@
  <state state_id="clearance_requested" title="">
   <exit-transition transition_id="clear_and_validate"/>
+  <exit-transition transition_id="defer"/>
   <exit-transition transition_id="reject_clearance"/>
   <permission-map name="Modify portal content"
@@ -54,43 +55,19 @@
  <state state_id="cleared_and_validated" title="">
   <exit-transition transition_id="create_content"/>
+  <exit-transition transition_id="reject_clearance"/>
+  <permission-map name="View" acquired="True">
+   <permission-role>Owner</permission-role>
+  </permission-map>
+ </state>
+ <state state_id="deferred" title="">
+  <exit-transition transition_id="admit"/>
+ </state>
+ <state state_id="finally_rejected" title="">
+  <permission-map name="View" acquired="True">
+   <permission-role>Owner</permission-role>
+  </permission-map>
+ </state>
+ <state state_id="objection_raised" title="">
   <exit-transition transition_id="enter_clearance_pin"/>
-  <exit-transition transition_id="request_clearance"/>
-  <permission-map name="View" acquired="True">
-   <permission-role>Owner</permission-role>
-  </permission-map>
- </state>
- <state state_id="clearence_requested" title="">
-  <exit-transition transition_id="clear_and_validate"/>
-  <exit-transition transition_id="enter_clearance_pin"/>
-  <exit-transition transition_id="reject_clearance"/>
-  <permission-map name="Modify portal content"
-                  acquired="True">
-   <permission-role>SectionManager</permission-role>
-  </permission-map>
-  <permission-map name="View" acquired="True">
-  </permission-map>
- </state>
- <state state_id="closed" title="">
-  <exit-transition transition_id="open"/>
- </state>
- <state state_id="deferred" title="">
-  <exit-transition transition_id="enter_clearance_pin"/>
-  <permission-map name="View" acquired="True">
-   <permission-role>Owner</permission-role>
-  </permission-map>
- </state>
- <state state_id="finally_rejected" title="">
-  <permission-map name="View" acquired="True">
-   <permission-role>Owner</permission-role>
-  </permission-map>
- </state>
- <state state_id="opened" title="">
-  <exit-transition transition_id="close"/>
-  <permission-map name="Modify portal content"
-                  acquired="True">
-   <permission-role>Owner</permission-role>
-  </permission-map>
-  <permission-map name="View" acquired="True">
-  </permission-map>
  </state>
  <state state_id="pume_failed" title="">
@@ -126,5 +103,4 @@
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
-   <guard-role>AdmissionOfficer</guard-role>
   </guard>
  </transition>
@@ -147,13 +123,4 @@
    <guard-role>SectionManager</guard-role>
    <guard-role>ClearanceOfficer</guard-role>
-  </guard>
- </transition>
- <transition transition_id="close" title=""
-             new_state="closed" trigger="USER"
-             before_script="" after_script="">
-  
-  <guard>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
   </guard>
  </transition>
@@ -185,5 +152,4 @@
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
-   <guard-role>Owner</guard-role>
   </guard>
  </transition>
@@ -218,13 +184,4 @@
   </guard>
  </transition>
- <transition transition_id="open" title=""
-             new_state="opened" trigger="USER"
-             before_script="" after_script="">
-  
-  <guard>
-   <guard-role>Manager</guard-role>
-   <guard-role>SectionManager</guard-role>
-  </guard>
- </transition>
  <transition transition_id="pume_fail" title=""
              new_state="pume_failed" trigger="USER"
@@ -234,5 +191,4 @@
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
-   <guard-role>AdmissionOfficer</guard-role>
   </guard>
  </transition>
@@ -244,5 +200,14 @@
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
-   <guard-role>AdmissionOfficer</guard-role>
+  </guard>
+ </transition>
+ <transition transition_id="raise_objection" title=""
+             new_state="objection_raised" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+   <guard-role>Owner</guard-role>
   </guard>
  </transition>
@@ -254,5 +219,4 @@
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
-   <guard-role>AdmissionOfficer</guard-role>
   </guard>
  </transition>