Index: WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 861)
+++ WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 863)
@@ -10,4 +10,5 @@
                                         'admitted',
                                         'deferred',
+                                        'objection_raised',
                                         'admission_rejected',
                                         'finally_rejected',
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 861)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 863)
@@ -63,8 +63,8 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-                <input type="submit" name="defer_admission:method" value="Reject/Defer Admission"
+                <input type="submit" name="raise_objection:method" value="Raise an Objection"
                        class="destructive"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('Confirm that you want to reject/defer your admision.'), )" 
+                       (cpsmcat('Confirm that you want to raise an objection.'), )" 
                        />
                 <input type="submit" name="application_edit:method"
Index: WAeUP_SRP/trunk/skins/waeup_student/defer_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/defer_admission.py	(revision 861)
+++ 	(revision )
@@ -1,26 +1,0 @@
-## Script (Python) "defer_admission"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# $Id:defer_admission.py 486 2006-09-06 10:09:39Z joachim $
-"""
-defer student and print Info.
-"""
-import DateTime
-current = DateTime.DateTime()
-request = context.REQUEST
-wf = context.portal_workflow
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-roles = member.getRoles()
-
-info = context.getStudentInfo()
-
-info['app_doc'].edit(mapping={'defer_date':current,})
-wf.doActionFor(info['student'],'defer')
-return context.defersvn_view(info=info)
Index: WAeUP_SRP/trunk/skins/waeup_student/defer_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/defer_view.pt	(revision 861)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<metal:html tal:define="info options/info|context/getStudentInfo">
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:main fill-slot="main">
-      <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
-      </span>
-      <span tal:condition="info"
-            tal:define="review_state info/review_state">    
-        <h3>Admission deferred!</h3>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/objection_raised_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/objection_raised_view.pt	(revision 863)
+++ WAeUP_SRP/trunk/skins/waeup_student/objection_raised_view.pt	(revision 863)
@@ -0,0 +1,7 @@
+<metal:html tal:define="info options/info|context/getStudentInfo">
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:main fill-slot="main">
+      <h3>Objection Raised!</h3>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 861)
+++ WAeUP_SRP/trunk/skins/waeup_student/portlet_student_workflow_display.pt	(revision 863)
@@ -67,9 +67,9 @@
 
   
-  <span tal:condition="python:path('info/review_state')=='deferred'">
-  <tr><td class="stopped">Admission deferred</td></tr>
+  <span tal:condition="python:path('info/review_state')=='objection_raised'">
+  <tr><td class="stopped">Objection raised</td></tr>
   </span>
-  <span tal:condition="python:path('info/review_state')!='deferred'">
-  <tr><td>Admission deferred</td></tr>
+  <span tal:condition="python:path('info/review_state')!='objection_raised'">
+  <tr><td>Objection raised</td></tr>
   </span>  
 
@@ -100,4 +100,11 @@
   <tr><td>Cleared</td></tr>
   </span> 
+  
+  <span tal:condition="python:path('info/review_state')=='deferred'">
+  <tr><td class="active">Admission deferred</td></tr>
+  </span>
+  <span tal:condition="python:path('info/review_state')!='deferred'">
+  <tr><td>Admission deferred</td></tr>
+  </span>   
 
 </table>
Index: WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py	(revision 863)
+++ WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py	(revision 863)
@@ -0,0 +1,26 @@
+## Script (Python) "raise_objection"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id:defer_admission.py 486 2006-09-06 10:09:39Z joachim $
+"""
+raise an objection and print Info.
+"""
+import DateTime
+current = DateTime.DateTime()
+request = context.REQUEST
+wf = context.portal_workflow
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+roles = member.getRoles()
+
+info = context.getStudentInfo()
+
+info['app_doc'].edit(mapping={'objection_date':current,})
+wf.doActionFor(info['student'],'raise_objection')
+return context.objection_raised_view(info=info)