Index: /WAeUP_SRP/trunk/PatchBasicWidgetsCPSStringWidget.py
===================================================================
--- /WAeUP_SRP/trunk/PatchBasicWidgetsCPSStringWidget.py	(revision 867)
+++ /WAeUP_SRP/trunk/PatchBasicWidgetsCPSStringWidget.py	(revision 867)
@@ -0,0 +1,3 @@
+#-*- mode: python; mode: fold -*-
+from Products.CPSSchemas.BasicWidgets import CPSStringWidget
+CPSStringWidget.display_width = 40
Index: /WAeUP_SRP/trunk/__init__.py
===================================================================
--- /WAeUP_SRP/trunk/__init__.py	(revision 866)
+++ /WAeUP_SRP/trunk/__init__.py	(revision 867)
@@ -14,4 +14,5 @@
 import PatchCatalogToolXMLAdapter
 import PatchCPSSchemasAttributeStorageAdapter
+import PatchBasicWidgetsCPSStringWidget
 # Only for CPS 3.4.1. In 3.4.2 and later this should be fixed.
 import PatchCPSDefaultImportExport
Index: /WAeUP_SRP/trunk/profiles/default/rolemap.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 866)
+++ /WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 867)
@@ -3,5 +3,5 @@
   <roles>
     <role name="Staff"/>
-    <role name="ClearanceManager"/>
+    <role name="ClearanceOfficer"/>
     <role name="Student"/>
     <role name="SectionReader"/>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 866)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 867)
@@ -18,3 +18,3 @@
 mtool = getToolByName(context, 'portal_membership')
 #return mtool.getCPSCandidateLocalRoles(context)
-return ['SectionReader','SectionManager','ClearanceManager']
+return ['SectionReader','SectionManager','ClearanceOfficer']
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 866)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 867)
@@ -53,4 +53,5 @@
 info['per_doc'] = student.personal.getContent()
 course = getattr(student,'study_course',None)
+#
 info['course'] = course
 if course:
@@ -59,20 +60,11 @@
 if info['per_doc'].sex:
     info['sex'] = 'female'
-##res = context.portal_catalog(container_path=student_path,
-##                             portal_type='StudentAccommodation')
-##if res:
-##    acco = res[0].getObject()
+#
 acco = getattr(student,'accommodation_2006',None)
-#if acco.portal_type != "StudentAccommodation":
-#    acco = None
 info['acco'] = acco
 if acco is not None:
     info['acco_doc'] = acco.getContent()
     info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
-##res = context.portal_catalog(container_path=student_path,
-##                             portal_type='StudentClearance')
-##if res:
-##    clear = res[0].getObject()
-##    info['clear'] = clear
+#
 clear = getattr(student,'clearance',None)
 info['clear'] = clear
@@ -80,10 +72,5 @@
     info['clear_doc'] = clear.getContent()
     info['clear_review_state'] = wf.getInfoFor(clear,'review_state',None)
-
-##res = context.portal_catalog(container_path=student_path,
-##                             portal_type='StudentPume')
-##if res:
-##    pume = res[0].getObject()
-##    info['pume'] = clear
+#
 pume = getattr(student,'pume',None)
 info['pume'] = pume
Index: /WAeUP_SRP/trunk/skins/waeup_student/isClearanceOfficer.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/isClearanceOfficer.py	(revision 867)
+++ /WAeUP_SRP/trunk/skins/waeup_student/isClearanceOfficer.py	(revision 867)
@@ -0,0 +1,33 @@
+## Script (Python) "isClearanceOfficer"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=REQUEST
+##title=
+##
+# $Id$
+"""
+
+"""
+request = REQUEST
+wftool = context.portal_workflow
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+
+info = context.getStudentInfo()
+if info is None:
+    return False
+if info['course'] is None:
+    return False
+    
+
+res = context.portal_catalog(portal_type="Department",id=info['course_doc'].department)
+if len res != 1:
+    return False
+
+roles = member.getRolesInContext(res[0].getObject())
+    
+return "ClearanceOfficer" in roles 
+