Index: /WAeUP_SRP/trunk/PatchBasicWidgetsCPSStringWidget.py
===================================================================
--- /WAeUP_SRP/trunk/PatchBasicWidgetsCPSStringWidget.py	(revision 868)
+++ /WAeUP_SRP/trunk/PatchBasicWidgetsCPSStringWidget.py	(revision 869)
@@ -1,3 +1,5 @@
 #-*- mode: python; mode: fold -*-
 from Products.CPSSchemas.BasicWidgets import CPSStringWidget
-CPSStringWidget.display_width = 40
+from Products.CPSSchemas.BasicWidgets import CPSEmailWidget
+CPSStringWidget.display_width = 30
+CPSEmailWidgetdisplay_width = 30
Index: /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 868)
+++ /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 869)
@@ -46,4 +46,5 @@
   <exit-transition transition_id="defer"/>
   <exit-transition transition_id="reject_clearance"/>
+  <exit-transition transition_id="create_content"/>
   <permission-map name="Modify portal content"
                   acquired="True">
@@ -99,5 +100,5 @@
              new_state="admitted" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -107,5 +108,5 @@
              new_state="admission_applied" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -115,5 +116,5 @@
              new_state="cleared_and_validated"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -123,5 +124,5 @@
              new_state="student_created" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
   </guard>
@@ -132,5 +133,5 @@
              new_state="" trigger="USER" before_script=""
              after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -141,5 +142,5 @@
              new_state="deferred" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -149,5 +150,5 @@
              new_state="application_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -157,5 +158,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -165,5 +166,5 @@
              new_state="finally_rejected" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -173,5 +174,5 @@
              new_state="pume_failed" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -181,5 +182,5 @@
              new_state="pume_passed" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -189,5 +190,5 @@
              new_state="objection_raised" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -197,5 +198,5 @@
              new_state="admission_rejected" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -205,5 +206,5 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -213,5 +214,5 @@
              new_state="clearance_requested" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-expression>python: context.student_wf_guard(transition,state_change)</guard-expression>
@@ -222,5 +223,5 @@
   <description>Time of the last transition</description>
   <default>
-   
+
    <expression>state_change/getDateTime</expression>
   </default>
Index: /WAeUP_SRP/trunk/skins/waeup_default/mail2admin.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/mail2admin.py	(revision 868)
+++ /WAeUP_SRP/trunk/skins/waeup_default/mail2admin.py	(revision 869)
@@ -26,5 +26,4 @@
 Problem Type: %s
 Description: %s
-Comment: %s
 """
 
@@ -43,5 +42,4 @@
      probtype,
      descr,
-     commt,
      )
 mhost.send(msg)
Index: /WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 868)
+++ /WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 869)
@@ -10,5 +10,5 @@
 
       <div style="text-align: right"
-           tal:condition="python:review_state in ('admitted', 'clearance_pin_entered', 'clearance_requested', 'cleared',)">
+           tal:condition="python:review_state in ('admitted', 'clearance_pin_entered', 'clearance_requested', 'cleared', 'objection_raised',)">
       <a href="" target="slip" tal:attributes="href string:admission_slip"
           onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
Index: /WAeUP_SRP/trunk/skins/waeup_student/contact_student.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/contact_student.pt	(revision 868)
+++ /WAeUP_SRP/trunk/skins/waeup_student/contact_student.pt	(revision 869)
@@ -52,12 +52,4 @@
           </td>
         </tr>
-        <tr>
-          <td valign="top">
-             <strong>Comments: </strong>
-          </td>
-          <td>
-             <textarea name="commt" rows="10" cols="60" id="commt"></textarea>
-          </td>
-        </tr>
       
         <tr>
Index: /WAeUP_SRP/trunk/skins/waeup_student/objection_raised_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/objection_raised_view.pt	(revision 868)
+++ /WAeUP_SRP/trunk/skins/waeup_student/objection_raised_view.pt	(revision 869)
@@ -1,5 +1,16 @@
-<metal:html tal:define="info options/info|context/getStudentInfo">
+<metal:html tal:define="info options/info|context/getStudentInfo;
+                        review_state info/review_state">
   <metal:body use-macro="here/waeup_content_master/macros/master">
     <metal:main fill-slot="main">
+    
+      <div style="text-align: right"
+           tal:condition="python:review_state in ('admitted', 'clearance_pin_entered', 'clearance_requested', 'cleared', 'objection_raised',)">
+      <a href="" target="slip" tal:attributes="href string:admission_slip"
+          onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+          Admission Slip
+      </a>
+      </div>        
+    
       <h3>You raised an objection, please explain why!</h3>
       
@@ -17,5 +28,5 @@
           </td>
           <td>
-             <input name="fullname" type="text" id="fullname" 
+             <input name="fullname" type="text" id="fullname" size="30"
                     tal:attributes="value info/student/Title"/>
           </td>
@@ -26,5 +37,5 @@
           </td>
           <td>
-             <input name="email" type="text" id="email" 
+             <input name="email" type="text" id="email"  size="30"
                     tal:attributes="value info/app_doc/app_email"/>
           </td>