Index: WAeUP_SRP/trunk/profiles/default/types/AccoHall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/AccoHall.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/AccoHall.xml	(revision 873)
@@ -37,5 +37,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 873)
@@ -40,5 +40,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 873)
@@ -38,5 +38,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 873)
@@ -38,5 +38,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Department.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 873)
@@ -42,5 +42,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 873)
@@ -42,5 +42,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/ScratchCard.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/ScratchCard.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/ScratchCard.xml	(revision 873)
@@ -44,5 +44,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 873)
@@ -34,5 +34,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 873)
@@ -34,5 +34,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 873)
@@ -36,5 +36,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 873)
@@ -37,5 +37,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentPume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentPume.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentPume.xml	(revision 873)
@@ -34,5 +34,5 @@
  </action>
  <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
     visible="True">
   <permission value="Modify portal content"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 873)
@@ -38,5 +38,5 @@
  <action title="action_edit" action_id="edit" category="object"
     condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_edit_form" visible="True">
+    url_expr="string:${object_url}/waeup_edit_form" visible="True">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/types/University.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 872)
+++ WAeUP_SRP/trunk/profiles/default/types/University.xml	(revision 873)
@@ -52,5 +52,5 @@
  <action title="action_edit" action_id="edit" category="object"
     condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_edit_form" visible="False">
+    url_expr="string:${object_url}/waeup_edit_form" visible="False">
   <permission value="Modify portal content"/>
  </action>
Index: WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit.py	(revision 872)
+++ WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit.py	(revision 873)
@@ -34,7 +34,5 @@
 # Validate the document and write it if it's valid
 # (We don't call getEditableContent here, validate does it when needed.)
-info = context.getStudentInfo()
-##if info and info['is_student']:
-##    return
+#info = context.getStudentInfo()
 doc = context.getContent()
 is_valid, ds = doc.validate(request=REQUEST, proxy=context, cluster=cluster,
Index: WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/cpsdocument_edit_form.pt	(revision 872)
+++ 	(revision )
@@ -1,14 +1,0 @@
-<tal:block define="
-    rendered_main python:context.getContent().render(layout_mode='edit', 
-           cluster=None,
-           request=request, 
-           use_session=True, 
-           no_form=True);
-    form_action string:cpsdocument_edit;
-    form_type string:waeup;
-    creation python:False;
-    edition python:True;
-    metadata metadata|nothing;"
-    >
-  <metal:block use-macro="context/waeup_edit_form/macros/edit_form" />
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 872)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 873)
@@ -5,9 +5,10 @@
            use_session=True, 
            no_form=True);
-    form_action string:cpsdocument_edit;
-    creation python:False;
-    edition python:True;
-    metadata metadata|nothing;
-    ">
+           form_action string:cpsdocument_edit;
+           form_type string:waeup;
+           creation python:False;
+           edition python:True;
+           metadata metadata|nothing;
+           ">
 <metal:block define-macro="edit_form">
 <metal:block use-macro="here/content_lib_master/macros/master">