Index: /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml	(revision 876)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_batch.xml	(revision 877)
@@ -20,11 +20,11 @@
  </widget>
  <widget name="no_of_pins" meta_type="Int Widget">
-  <property name="title">Number of Pins </property>
+  <property name="title">Number of PINs </property>
   <property name="fields">
    <element value="no_of_pins"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Number of Pins </property>
-  <property name="label_edit">Number of Pins </property>
+  <property name="label">Number of PINs </property>
+  <property name="label_edit">Number of PINs </property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 876)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 877)
@@ -51,10 +51,10 @@
  </widget>
  <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Maintenance Payment PIN</property>
+  <property name="title">Access Code</property>
   <property name="fields">
    <element value="acco_maint_sc_pin"/>
   </property>
-  <property name="label">Maintenance Payment PIN</property>
-  <property name="label_edit">Maintenance Payment PIN</property>
+  <property name="label">Access Code</property>
+  <property name="label_edit">Access Code</property>
   <property name="hidden_layout_modes">
     <element value="create"/>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 876)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 877)
@@ -23,10 +23,10 @@
  </widget>
  <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Maintenance Payment PIN</property>
+  <property name="title">Access Code</property>
   <property name="fields">
    <element value="acco_maint_sc_pin"/>
   </property>
-  <property name="label">Maintenance Payment PIN</property>
-  <property name="label_edit">Maintenance Payment PIN</property>
+  <property name="label">Access Code</property>
+  <property name="label_edit">Access Code</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -53,11 +53,11 @@
  </widget>
  <widget name="acco_res_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Hostel Application PIN</property>
+  <property name="title">Access Code</property>
   <property name="fields">
    <element value="acco_res_sc_pin"/>
   </property>
   <property name="is_required">False</property>
-  <property name="label">Hostel Application PIN</property>
-  <property name="label_edit">Hostel Application PIN</property>
+  <property name="label">Access Code</property>
+  <property name="label_edit">Access Code</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 876)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 877)
@@ -20,11 +20,11 @@
  </widget>
 <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
- <property name="title">Application PIN</property>
+ <property name="title">Access Code</property>
  <property name="fields">
   <element value="app_ac_pin"/>
  </property>
  <property name="is_required">False</property>
- <property name="label">Application PIN</property>
- <property name="label_edit">Application PIN</property>
+ <property name="label">Access Code</property>
+ <property name="label_edit">Access Code</property>
  <property name="readonly_layout_modes">
   <element value="edit"/>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 876)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 877)
@@ -178,10 +178,10 @@
  </widget>
  <widget name="clr_ac_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Clearance PIN</property>
+  <property name="title">Access Code</property>
   <property name="fields">
    <element value="clr_ac_pin"/>
   </property>
-  <property name="label">Clearance PIN</property>
-  <property name="label_edit">Clearance PIN</property>
+  <property name="label">Access Code</property>
+  <property name="label_edit">Access Code</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 876)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 877)
@@ -178,10 +178,10 @@
  </widget>
  <widget name="clr_ac_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Clearance PIN</property>
+  <property name="title">Access Code</property>
   <property name="fields">
    <element value="clr_ac_pin"/>
   </property>
-  <property name="label">Clearance PIN</property>
-  <property name="label_edit">Clearance PIN</property>
+  <property name="label">Access Code</property>
+  <property name="label_edit">Access Code</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
Index: /WAeUP_SRP/trunk/skins/waeup_student/accommodation_pin_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/accommodation_pin_edit_form.pt	(revision 876)
+++ /WAeUP_SRP/trunk/skins/waeup_student/accommodation_pin_edit_form.pt	(revision 877)
@@ -37,5 +37,5 @@
             <li>Buy a Hostel Maintainance Scratch Card 
             (Code: <span tal:replace="python: info['acco_doc'].acco_maint_code" />) for 
-            <span tal:replace="python: info['acco_doc'].acco_maint_fee" /></li> 
+            <span tal:replace="python: info['acco_doc'].acco_maint_fee" /> Nairas</li> 
             <li>Enter the PIN above.</li>
             <li>Print the Hostel Maintenance Receipt.</li>
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt	(revision 876)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_edit_form.pt	(revision 877)
@@ -8,5 +8,5 @@
            form_action string:application_edit;
            edition python:True;
-           creation python:False;
+           session2006 python:True;
            metadata nothing;
             ">
@@ -36,10 +36,15 @@
              value="Save & Return Later" 
              id="cpsdocument_edit_button"
-             tal:condition="not:creation" />
+             tal:condition="not:session2006" />
       <input type="submit" class="standalone" 
              name="cpsdocument_edit_and_view_button"
              value="Save & Apply"
              id="cpsdocument_edit_and_view_button" 
-             tal:condition="not:creation" />
+             tal:condition="not:session2006" />
+      <input type="submit" class="standalone" 
+             name="cpsdocument_edit_and_view_button"
+             value="Save & Continue"
+             id="cpsdocument_edit_and_view_button" 
+             tal:condition="session2006" />             
     </form>
     </metal:main>
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 876)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 877)
@@ -7,5 +7,5 @@
       <span tal:condition="info">
             
-        <h3>Clearance/Eligibility Record</h3>
+        <h3>Clearance/Eligibility Slip</h3>
         <br />
         <span tal:omit-tag=""